Subject: bug#7651: 23.2.91; Rmail doesn't allow displaying text attachments conveniently

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Dec 2010 17:28:52 +0200

> From: Kenichi Handa <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 16 Dec 2010 16:08:17 +0900
> 
> > The new Rmail-MIME feature is nice, but it has some rough edges.  One
> > of them is that I lost an easy way of displaying many text
> > attachments.
> 
> > Specifically, it looks like we display text attachments by default,
> > but only if content-disposition is "inline".  Maybe that's what the
> > various RFCs mandate, but why isn't there at least a button to display
> > the text (in the same or another buffer) if the user decides to do
> > that?

Another minor issue with rmail-mm is that the header lines it inserts
in place of the attachments do not have a newline after them, so a
typical message will end up being displayed in a buffer with no final
newline.  Not a big deal, obviously.